Skip to content

Read campaign

GET
/v1/campaigns/{id}

Retrieves the details of a campaign that has previously been created.

Parameters

Path Parameters

id
required
string

Responses

200

object
status
required
string
Allowed values: success
data
required
object
campaign
required
object
id
required
string
name
string
status

The campaign is first scheduled. The campaign is running when the phishing simulation starts. When the simulation is completed, the campaign is completed.

string
Allowed values: scheduled completed aborted
targetCount
number
scenarios
Array<object>
object
id
string
name
string
score

The computed score of all targets in the campaign. Null if the campaign is not completed.

number
nullable <= 100
createdAt
string format: date-time
scheduledAt

The date and time the campaign is scheduled to start.

string format: date-time
completedAt

The date and time the campaign is completed. Null if the campaign is not completed.

string format: date-time
nullable
abortedAt

The date and time the campaign is aborted. Null if the campaign is not aborted.

string format: date-time
nullable

400

Bad request

object
error
string
statusCode
required
number

401

Unauthorized

object
message
required
string
statusCode
required
number

404

Not found

object
message
required
string
statusCode
required
number

408

Request timeout

object
message
required
string
statusCode
required
number

429

Too many requests

object
message
required
string
statusCode
required
number

500

Internal server error

object
message
required
string
statusCode
required
number